%if "%{?fedora}" == "5"
%define monodir %{_prefix}/lib
%else
%define monodir %{_libdir}
%endif

Summary: Boo is an OO statically typed language for CLI
Name: boo
Version: 0.7.6.2237
Release: 11%{?dist}
License: MIT
Group: Development/Languages
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://boo.codehaus.org
Source0: http://dist.codehaus.org/boo/distributions/%{name}-%{version}-src.tar.bz2
BuildRequires: mono-devel, gtksourceview-devel, shared-mime-info, pkgconfig, nant

%description
Boo is a new object oriented statically typed programming language for the 
Common Language Infrastructure with a python inspired syntax and a special 
focus on language and compiler extensibility.

%package devel
Summary: Development files for boo
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Development files for boo

%prep
%setup -q

%build
nant -D:install.prefix=%{_prefix} -D:install.libdir=%{monodir}

%install
rm -rf %{buildroot}
nant -f:default.build install -D:install.buildroot=%{buildroot} -D:install.prefix=%{buildroot}%{_prefix} -D:install.share=%{buildroot}%{_datadir} -D:install.libdir=%{buildroot}%{monodir} -D:install.bindir=%{buildroot}%{_bindir} -D:fakeroot.sharedmime=%{buildroot}%{_datadir}/.. -D:fakeroot.gsv=%{buildroot}%{_prefix}

%clean
rm -rf %{buildroot}

%post
update-mime-database %{_datadir}/mime &> /dev/null || :

%postun
update-mime-database %{_datadir}/mime &> /dev/null || :

%files 
%defattr(-,root,root)
%doc license.txt notice.txt readme.txt docs/BooManifesto.sxw
%{monodir}/boo*
%{monodir}/mono/boo/*.dll
%{monodir}/mono/gac/Boo*/*
%{_bindir}/boo*
%if "%{?fedora}" == "5"
  %{_datadir}/gtksourceview-1.0/language-specs/boo.lang
%else
  %exclude %{_datadir}/gtksourceview-1.0/language-specs/boo.lang
%endif
%{_datadir}/mime/packages/boo*
%{_datadir}/mime-info/boo*

%files devel
%defattr(-,root,root,-)
%{monodir}/pkgconfig/boo.pc

%changelog
* Wed Dec 20 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.7.6-2237-11
- fix for correct libdir

* Thu Sep 14 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.7.6.2237-9
- rebuild

* Mon Aug 07 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.7.6.2237-8
- adds conditional for boo.lang - not required in FC6

* Wed Jul 26 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.7.6.2237-7
- claims ownership of monodir-boo now

* Tue Jul 25 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.7.6.2237-6
- replaced monodir for libdir in devel
- fixed tab-spaces problem
- removed rm rf from the prep step
- added update-mime-database

* Sun Jul 23 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.7.6.2237-5
- removed nodebug
- removed redefine of libdir
- removed buildarch
- added BR nant

* Sat Jun 17 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.7.6.2237-3
- removed exclusivearch
- changed BR
- removed R
- altered nant to /usr/bin/nant

* Thu Jun 08 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.7.6.2237-1
- Spec file fixes
- Fix for gtksourceview-1.0 langspecs
- Added fixed libdir
- rebuild for mono 1.1.15

* Thu Jun 08 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.7.6.2237-1
- Bump to 0.7.6-2237
- Added R nant
- Multiple fixes to the install as it uses nant rather than make install
- Removed some bits from the files section as they're no longer in boo

* Wed May 31 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.7.5.2013-7
- Added devel files
- Added doc to files section instead of adding the files manually
- Added fix for x86_64

* Mon May 08 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.7.5.2013-6
- Altered again for mock and x86_64

* Fri Apr 28 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.7.5.2003-5
- added shared mime to satisfy mock

* Sat Apr 22 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.7.5.2003-4
- Removal of the always usr-lib, but now use the system used in f-spot
- include archs mono is available on
- added requires: mono-core, gtksourceview
- changed BR to include gtksourceview-sharp
- removes the conflict in the language-specs with gtksourceview package

* Tue Apr 18 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.7.5.2003-3
- Spec file tweaks
- libdir is now usr-lib irrespective of hardware built on
- Added docs to package

* Mon Apr 17 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.7.5.2003-2
- Small fix to the spec file

* Sat Apr 15 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.7.5.2003-1
- Initial import and debug for FE (spec file based on the mono project one)

